base-4.18.1.0: Basic libraries

Copyright | (c) The University of Glasgow 2001
License | BSD-style (see the file libraries/base/LICENSE)
Maintainer | libraries@haskell.org
Stability | provisional
Portability | portable
Safe Haskell | Trustworthy
Language | Haskell2010

System.CPUTime

Description

The standard CPUTime library.

Synopsis

- getCPUTime :: IO Integer
- cpuTimePrecision :: Integer

# Documentation

getCPUTime :: IO Integer Source #

Computation `getCPUTime` returns the number of picoseconds CPU time used by the current program. The precision of this result is implementation-dependent.

cpuTimePrecision :: Integer Source #

The `cpuTimePrecision` constant is the smallest measurable difference in CPU time that the implementation can record, and is given as an integral number of picoseconds.